package easydo.technology.service;

import easydo.technology.model.ProcessRoute;

import java.util.Map;

public interface ProcessRouteService {

    Object getList(Map<String, Object> map) throws Exception;

    Object getPage(Map<String, Object> map) throws Exception;

    Object save(ProcessRoute model) throws Exception;

    Object update(ProcessRoute model) throws Exception;

    Object remove(ProcessRoute model) throws Exception;

    Object upgrade(ProcessRoute model) throws Exception;

    Object regrade(ProcessRoute model) throws Exception;
}

